<template>
  <router-view />
</template>

<script setup>
import useSettingsStore from '@/store/modules/settings'
import { handleThemeStyle } from '@/utils/theme'
const screenHeight = ref(window.innerHeight-145);
onMounted(() => {
  nextTick(() => {
    // 初始化主题样式
    handleThemeStyle(useSettingsStore().theme)
    window.addEventListener('resize', handleResize);
  })
})
function handleResize() {
  screenHeight.value = window.innerHeight-145;
}
provide('globalScreenHeight', screenHeight);
</script>
